org.apache.solr.util

## Class RTimerTree

- java.lang.Object
- - org.apache.solr.util.RTimer
  - - org.apache.solr.util.RTimerTree

-     public class RTimerTree
      extends RTimer

  A recursive timer. RTimerTree's are started automatically when instantiated; sub-timers are also started automatically when created.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.util.RTimer

      `RTimer.TimerImpl`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SimpleOrderedMap<RTimerTree>` | `children`

    - ### Fields inherited from class org.apache.solr.util.RTimer

      `PAUSED, STARTED, state, STOPPED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTimerTree()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedList` | `asNamedList()`
    `SimpleOrderedMap<RTimerTree>` | `getChildren()` Manipulating this map may have undefined results.
    `protected RTimerTree` | `newTimer()`
    `double` | `stop()` Recursively stop timer and sub timers
    `RTimerTree` | `sub(String desc)` Create new subtimer with given name Subtimer will be started.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.solr.util.RTimer

      `getTime, newTimerImpl, pause, resume`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### children

          protected SimpleOrderedMap<RTimerTree> children

  - ### Constructor Detail

    - #### RTimerTree

          public RTimerTree()

  - ### Method Detail

    - #### stop

          public double stop()

      Recursively stop timer and sub timers
      Overrides:
        `stop` in class `RTimer`

    - #### newTimer

          protected RTimerTree newTimer()

    - #### sub

          public RTimerTree sub(String desc)

      Create new subtimer with given name Subtimer will be started.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### asNamedList

          public NamedList asNamedList()

    - #### getChildren

          public SimpleOrderedMap<RTimerTree> getChildren()

      Manipulating this map may have undefined results.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.